Usage
- : Access Younium API
Created
No content
Bad Request.
Unauthorized
Forbidden
POST /Usage HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 339
{
"account": "A-000001",
"order": "O-000001",
"product": "OP-000001",
"charge": "OPC-000001",
"unit": "pcs",
"quantity": 1,
"description": "text",
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"source": "text",
"ratedPrice": 1,
"ratedPriceCurrency": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"validateData": true
}No content
- : Access Younium API
Filter the results. See developer resources for more information. On endpoints whose entity supports
custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or
customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be
combined with and.
name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')Sorting the results. See developer resources for more information
accountNumber DescApply a separate modified After filter. See 'ModifiedBefore' filter for further details.
2026-07-01Apply a separate filter to only get records that has been modified Before the specified date time.
2026-07-01Page Size
20Page Number
1Success
Bad Request.
Unauthorized
Forbidden
GET /Usage HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"pageNumber": 1,
"pageSize": 1,
"totalPages": 1,
"totalCount": 1,
"nextPage": "https://example.com",
"previousPage": "https://example.com",
"firstPage": "https://example.com",
"lastPage": "https://example.com",
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"description": "text",
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"unit": "text",
"source": "text",
"account": {
"name": "text",
"accountNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"product": {
"description": "text",
"productNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"importDate": "2026-01-01T00:00:00.000Z",
"processed": true,
"ratedPrice": 1,
"ratedPriceCurrencyCode": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}
]
}- : Access Younium API
No Content
No content
Bad Request.
Unauthorized
Forbidden
Not Found
PATCH /Usage/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 183
{
"unit": "pcs",
"quantity": 1,
"description": "text",
"fromDate": "2026-01-01T00:00:00.000Z",
"ratedPrice": 1,
"ratedPriceCurrency": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}No content
- : Access Younium API
Success
No content
Bad Request.
Unauthorized
Forbidden
Not Found
DELETE /Usage/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
- : Access Younium API
Success
Bad Request.
Unauthorized
Forbidden
Not Found
GET /Usage/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"description": "text",
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"unit": "text",
"source": "text",
"account": {
"name": "text",
"accountNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"product": {
"description": "text",
"productNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"importDate": "2026-01-01T00:00:00.000Z",
"processed": true,
"ratedPrice": 1,
"ratedPriceCurrencyCode": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}Import Usage Data in csv or json format.
- : Access Younium API
Success
Bad Request.
Unauthorized
Forbidden
POST /Usage/import HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215
{
"mappingTemplateName": "text",
"dateFormat": "text",
"decimalSeparator": "text",
"dataFormat": "text",
"batchName": "text",
"data": null,
"usePreprocessingRules": true,
"allowDuplicateEntries": true,
"breakOnValidationError": true
}{
"importDataType": "text",
"batchId": "123e4567-e89b-12d3-a456-426614174000",
"hasErrors": true,
"errors": []
}Last updated